=== libs/sqlite3/CMakeLists.txt ===

INCLUDE_DIRECTORIES(
	.
)

SET(SQLITE_SRCS
	sqlite3.c
)

ADD_LIBRARY(cksqlite STATIC ${SQLITE_SRCS})
