=== src/gpx/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	.
)

FILE(GLOB OBDGPX_SRCS
	*.c *.h
)

SET(OBDGPX_LIBS
	${CKSQLITE_LIBRARIES}
)

ADD_EXECUTABLE(obd2gpx ${OBDGPX_SRCS})

TARGET_LINK_LIBRARIES(obd2gpx ${OBDGPX_LIBS})

INSTALL(TARGETS obd2gpx
	RUNTIME DESTINATION bin)

INSTALL(FILES ${OBDGPSLogger_SOURCE_DIR}/man/man1/obd2gpx.1
	DESTINATION share/man/man1)
