=== src/kml/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	.
)

FILE(GLOB OBDKML_SRCS
	*.c *.h
)

SET(OBDKML_LIBS
	${CKSQLITE_LIBRARIES}
	m
)

ADD_EXECUTABLE(obd2kml ${OBDKML_SRCS})

TARGET_LINK_LIBRARIES(obd2kml ${OBDKML_LIBS})

INSTALL(TARGETS obd2kml
	RUNTIME DESTINATION bin)

INSTALL(FILES ${OBDGPSLogger_SOURCE_DIR}/man/man1/obd2kml.1
        DESTINATION share/man/man1)
