=== src/obdinfo/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
	.
)


FILE(GLOB OBDINFO_SRCS
	*.c *.h
)

ADD_LIBRARY(ckobdinfo STATIC ${OBDINFO_SRCS})
