=== debian/changelog ===
obdgpslogger (0.16-1.3build1) bionic; urgency=medium

  * No-change rebuild against libgps23

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 03 Nov 2017 19:04:59 +0000

obdgpslogger (0.16-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Updated standards version to 3.9.8
    - Change VCS fields to use secure URI
    - Converted copyright to DEP5
  * Updated compat level to 9
  * Enabled parallel builds
  * Dropped versioned build-dep on cmake

 -- David William Richmond Jones <dwrj87@gmail.com>  Thu, 02 Jun 2016 14:52:19 +0100

obdgpslogger (0.16-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Adding patch from Derek LaHousse <dlahouss@mtu.edu>
    to make obdgpslogger work with gpsd api v3.
    Closes: #648495

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 23 Jun 2012 08:43:54 +0200

obdgpslogger (0.16-1.1) unstable; urgency=low

  * Non-maintainer upload with maintainer's permission.
  * src/gui/convertwindow.fl: drop empty obdconvertwindow::~obdconvertwindow
    to avoid build errors with fluid 1.3.x, which omits its definition
    altogether per http://www.fltk.org/str.php?L2259.  (Closes: #633474.)

 -- Aaron M. Ucko <ucko@debian.org>  Sat, 16 Jul 2011 21:42:08 -0400

obdgpslogger (0.16-1) unstable; urgency=low

  * New upstream version

 -- Gary Briggs <chunky@icculus.org>  Thu, 26 May 2011 11:58:32 -0700

obdgpslogger (0.15-1) unstable; urgency=low

  * Initial Debian release (Closes: #580176)

 -- Gary Briggs <chunky@icculus.org>  Sun, 15 Aug 2010 03:09:10 -0700
