=== debian/control ===
Source: obdgpslogger
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gary Briggs <chunky@icculus.org>
Build-Depends: cmake,
               debhelper (>= 9),
               fluid,
               libdbus-1-dev,
               libfltk1.1-dev,
               libgps-dev,
               libsqlite3-dev
Standards-Version: 3.9.8
Homepage: https://icculus.org/obdgpslogger
Vcs-Browser: https://svn.icculus.org/obdgpslogger
Vcs-Svn: svn://svn.icculus.org/obdgpslogger/trunk

Package: obdgpslogger
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gpsd
Description: suite of tools to log OBDII and GPS data
 OBDII is a standard for getting diagnostic information from your car.
 The main tool, obdgpslogger, is a command-line tool to log that data,
 with your gps position, to a sqlite database. Provided alongside are
 various tools used to convert logs to formats such as CSV or Google
 Earth KML.
 Also contained in the package is an OBDII and ELM327 simulator, obdsim,
 that uses plugins to generate data.
