=== debian/watch ===
version=3
http://icculus.org/obdgpslogger/downloads/obdgpslogger-(.+).tar.gz
